@import "helpers";

.btn {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;

  &:hover {
    transition: 0.3s;
  }

  &_default {
    border-radius: 20px;
    border: 1px solid $black-blue;
    color: $white;
    background: $black-blue;
    height: 32px;
    margin: 0 auto;
    padding: 0 20px;

    &:not([disabled]):hover {
      color: $black-blue;
      background: $white;
    }
  }

  &_logout {
    color: $logout;
    margin: 0 10px;
    text-align: left;

    &:not([disabled]):hover {
      text-decoration: underline;
    }
  }

  &_white-blue {
    border: 1px solid $black-blue;
    padding: 10px 20px;
    border-radius: 20px;

    &:not([disabled]):hover {
      background: $header-bg;
      color: $white;
    }
  }

  &_green {
    background: $white;
    border: 1px solid $green;
    color: $green;

    &:not([disabled]):hover {
      background: $green;
      color: $white;
    }
  }

  &_red {
    color: $red;
    border: 1px solid $red;
    border-radius: 20px;

    &:not([disabled]):hover {
      color: $white;
      background: $red;
    }
  }

  &_grey {
    border: 1px solid $gray-blue;
  }

  &[disabled] {
    opacity: 0.8;
    position: relative;
    cursor: default;

    &:active {
      pointer-events: none;
    }

    &[tooltipText] {
      &::after {
        content: attr(tooltipText);
        position: absolute;
        top: -40px;
        left: calc(50% - 70px);
        z-index: 2;
        width: 140px;
        border: 1px solid $red;
        background: $red;
        color: $white;
        border-radius: 4px;
        display: none;
      }

      &:hover {
        &::after {
          display: block;
        }
      }
    }
  }
}
